package test.org.seasar.extension.jdbc.impl;

import org.seasar.extension.jdbc.impl.BasicCallableStatementFactory;
import org.seasar.extension.jdbc.impl.BasicSelectHandler;
import org.seasar.extension.jdbc.impl.BasicUpdateHandler;
import org.seasar.extension.jdbc.impl.ObjectResultSetHandler;
import org.seasar.extension.jdbc.impl.OracleResultSetFactory;
import org.seasar.extension.unit.S2TestCase;

public class BasicSelectHandlerForOracleTest extends S2TestCase {

	public BasicSelectHandlerForOracleTest(String arg0) {
		super(arg0);
	}

	public void testExecuteTx() throws Exception {
		String fullWidthTilda = "`";
		String sql = "insert into emp(empno, ename) values(99, ?)";
		BasicUpdateHandler handler = new BasicUpdateHandler(getDataSource(),
				sql);
		handler.execute(new Object[] { fullWidthTilda });

		String sql2 = "select ename from emp where empno = 99";
		BasicSelectHandler handler2 = new BasicSelectHandler(getDataSource(),
				sql2, new ObjectResultSetHandler(),
				BasicCallableStatementFactory.INSTANCE,
				new OracleResultSetFactory());
		String ret = (String) handler2.execute(null);
		System.out.println(ret);
		assertEquals("1", fullWidthTilda, ret);
	}

	public void setUp() {
		include("j2ee.dicon");
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(BasicSelectHandlerForOracleTest.class);
	}

}